Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator.uep
Class UepFeatureSelection

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.SingleCSOperator
                  edu.udo.cs.miningmart.operator.FeatureSelection
                      edu.udo.cs.miningmart.operator.uep.UepFeatureSelection

Direct Known Subclasses:
  FloatingBackwardFeatureSelectionGivenNoOfAttributes, FloatingForwardFeatureSelectionGivenNoOfAttributes, SimpleBackwardFeatureSelectionGivenNoOfAttributes, SimpleForwardFeatureSelectionGivenNoOfAttributes

    public abstract class UepFeatureSelection

extends FeatureSelection

M4 Compiler

Copyright: Copyright (c) 2002

Company: University Dortmund

Version:
  $Id: UepFeatureSelection.java,v 1.8 2006/09/27 15:00:04 euler Exp $
Author:
  Felix Koschin

Nested Class Summary
`protected class` | `UepFeatureSelection.myData`
`protected class` | `UepFeatureSelection.myTable`

Field Summary
`protected Column` | `theClassAttribute`

Fields inherited from class edu.udo.cs.miningmart.operator.FeatureSelection
`mySelectedFeatures`

Fields inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`suffixForIntermediateViews`

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`UepFeatureSelection()`

Method Summary
`protected double` | `getMutualInforation(UepFeatureSelection.myTable tbl)`
`Value` | `getNoOfAttributes()`
`BaseAttribute` | `getTheClassAttribute()`
`protected UepFeatureSelection.myData` | `selectTheBestAttr(java.util.ArrayList selected, java.util.ArrayList removed)`
`protected UepFeatureSelection.myData` | `selectTheWorstAttr(java.util.ArrayList selected)`

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureSelection
`computeListOfAttributes, generateSQLDefinition, getTheAttributes, getTypeOfNewColumnSet, mustCopyFeature, occursIn, occursIn`

Methods inherited from class edu.udo.cs.miningmart.operator.SingleCSOperator
`generateColumnSetsForOp, generateSQLDefinition, getNewCSName, getTypeOfNewColumnSet, handleExtraOutputFeature`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createSingleColumnSet, createStatement, generateColumns, getInputConcept, getNewCSName, getOutputConcept, getStringForSelection, setNewCSMultiStepBranch`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theClassAttribute

    protected Column theClassAttribute

Constructor Detail

### UepFeatureSelection

    public UepFeatureSelection()

Method Detail

### getTheClassAttribute

    public BaseAttribute getTheClassAttribute()
                                       throws M4CompilerError

  Throws:
    `M4CompilerError`

### getNoOfAttributes

    public Value getNoOfAttributes()
                            throws M4CompilerError

  Throws:
    `M4CompilerError`

### selectTheBestAttr

    protected UepFeatureSelection.myData selectTheBestAttr(java.util.ArrayList selected,
                                                           java.util.ArrayList removed)
                                                    throws M4CompilerError

  Throws:
    `M4CompilerError`

### selectTheWorstAttr

    protected UepFeatureSelection.myData selectTheWorstAttr(java.util.ArrayList selected)
                                                     throws M4CompilerError

  Throws:
    `M4CompilerError`

### getMutualInforation

    protected double getMutualInforation(UepFeatureSelection.myTable tbl)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005